Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 430308 - dev-qt/qt-creator-2.5.0: cannot find/use tool chain
Summary: dev-qt/qt-creator-2.5.0: cannot find/use tool chain
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: PPC Linux
: Normal normal (vote)
Assignee: Markos Chandras (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 439514
Blocks:
  Show dependency tree
 
Reported: 2012-08-07 09:54 UTC by Johannes Geiss
Modified: 2013-04-20 19:07 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Screenshot of New Project (NewProject.png,19.63 KB, image/png)
2012-08-10 15:04 UTC, Johannes Geiss
Details
Screenshot of Option #1 (Options1.png,51.46 KB, image/png)
2012-08-10 15:04 UTC, Johannes Geiss
Details
Screenshot of Option #2 (Options2.png,49.08 KB, image/png)
2012-08-10 15:05 UTC, Johannes Geiss
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Geiss 2012-08-07 09:54:31 UTC
Qt-Creator cannot build anything, because it does not find or accept any tool chain.
Comment 1 Johannes Geiss 2012-08-07 09:54:50 UTC
Also installed: 
x11-libs/qt-assistant-4.8.2-r1
x11-libs/qt-core-4.8.2
x11-libs/qt-dbus-4.8.2
x11-libs/qt-declarative-4.8.2
x11-libs/qt-gui-4.8.2
x11-libs/qt-opengl-4.8.2
x11-libs/qt-qt3support-4.8.2
x11-libs/qt-script-4.8.2
x11-libs/qt-sql-4.8.2
x11-libs/qt-svg-4.8.2
x11-libs/qt-test-4.8.2
x11-libs/qt-xmlpatterns-4.8.2
sys-devel/gcc-4.5.3-r2
Comment 2 Johannes Geiss 2012-08-07 09:55:12 UTC
Portage 2.1.10.65 (default/linux/powerpc/ppc32/10.0/desktop, gcc-4.5.3, glibc-2.14.1-r3, 3.2.1-gentoo-r2-test ppc)
=================================================================
System uname: Linux-3.2.1-gentoo-r2-test-ppc-7447-7457,_altivec_supported-with-gentoo-2.1
Timestamp of tree: Mon, 23 Jul 2012 06:15:01 +0000
app-shells/bash: 4.2_p20
dev-java/java-config: 2.1.11-r3
dev-lang/python: 2.7.3-r2, 3.2.3
dev-util/cmake: 2.8.6-r4
dev-util/pkgconfig: 0.26
sys-apps/baselayout: 2.1-r1
sys-apps/openrc: 0.9.8.4
sys-apps/sandbox: 2.5
sys-devel/autoconf: 2.13, 2.68
sys-devel/automake: 1.11.1
sys-devel/binutils: 2.21.1-r1
sys-devel/gcc: 3.4.6-r2, 4.5.3-r2
sys-devel/gcc-config: 1.6
sys-devel/libtool: 2.4-r1
sys-devel/make: 3.82-r1
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc: 2.14.1-r3
Repositories: gentoo private-overlay armagetron x-m68k sabayon java-overlay
ACCEPT_KEYWORDS="ppc"
ACCEPT_LICENSE="* -@EULA"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-g -O2 -fPIC -fno-strict-aliasing -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-g -O2 -fPIC -fno-strict-aliasing -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --nospinner --quiet-build --usepkg --binpkg-respect-use=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/ [^] ftp://de-mirror.org/distro/gentoo/ [^] "
LANG="en_US.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en de"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /var/lib/layman/armagetron /var/lib/layman/m68k /var/lib/layman/sabayon /var/lib/layman/java-overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage" [^]
USE="X Xaw3d a52 aac acl alsa altivec berkdb bluetooth branding bzip2 cairo cdda cdr cgi cjk cli consolekit cracklib crypt css cups cxx dbus device-mapper dri dts dvd dvdr dvi emboss encode esd exif extensions extras fam fastcgi fat ffmpeg firefox flac fontconfig fortran fuse gd gdbm gif gnutls gpm gtk hfs iconv icu id3tag imagemagick imap ipv6 jfs joystick jpeg jpeg2k kpathsea lcms ldap libnotify mad midi mikmod minizip mng mod modules mp3 mp4 mpeg mudflap mule musicbrainz mysql ncurses nls nptl ntfs ntfsprogs objc odbc ogg opengl openmp pam pango pcre pdf png policykit ppc ppds pppd private-headers qt3support qt4 readline reiserfs sasl sdl server session sid sieve spell sqlite srt ssl startup-notification stream svg tcpd theora threads tiff timidity truetype twolame udev udisks unicode upower usb vamp videos vorbis wxwidgets xcb xfs xml xorg xulrunner xv xvid zlib" ALSA_CARDS="via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en de" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="arm i386 ppc" QEMU_USER_TARGETS="arm i386 ppc" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 Jeroen Roovers gentoo-dev 2012-08-07 13:02:17 UTC
Please provide us with the command output that exhibits the problem.
Comment 4 Johannes Geiss 2012-08-10 15:03:15 UTC
I start Qt-Creator: qtcreator
and create a new project (Ctrl-N).

I select Application, Qt Gui Application, Name: Test, Create in: /tmp, Next

Now I see the first problem (NewProject.png)

I cancel and try to define a tool chain via menu: Tools/Option, see Options1.png and Option2.png.
Comment 5 Johannes Geiss 2012-08-10 15:04:08 UTC
Created attachment 320896 [details]
Screenshot of New Project
Comment 6 Johannes Geiss 2012-08-10 15:04:42 UTC
Created attachment 320898 [details]
Screenshot of Option #1
Comment 7 Johannes Geiss 2012-08-10 15:05:02 UTC
Created attachment 320900 [details]
Screenshot of Option #2
Comment 8 Davide Pesavento gentoo-dev 2012-08-10 18:57:21 UTC
What's the output of `readlink /usr/share/qt4/mkspecs/default` ?
Comment 9 Johannes Geiss 2012-08-11 05:20:22 UTC
(In reply to comment #8)
> What's the output of `readlink /usr/share/qt4/mkspecs/default` ?

linux-g++
Comment 10 Davide Pesavento gentoo-dev 2012-09-03 07:49:14 UTC
You should report this issue upstream I guess..
Comment 11 Davide Pesavento gentoo-dev 2012-09-09 05:39:28 UTC
Btw is it reproducible with qt-creator-2.5.2?
Comment 12 Davide Pesavento gentoo-dev 2012-09-12 03:06:12 UTC
(In reply to comment #11)
> Btw is it reproducible with qt-creator-2.5.2?

If 2.5.2 still doesn't work, please try with 2.6.0_beta, which has a rewritten toolchain+platform handling called "kits". Furthermore with 2.6 you should be able to force the usage of a given compiler even if QtCreator thinks it doesn't work.
Comment 13 Johannes Geiss 2012-09-29 13:49:15 UTC
(In reply to comment #11)
> Btw is it reproducible with qt-creator-2.5.2?

Yes.
Comment 14 Johannes Geiss 2012-09-29 13:52:30 UTC
(In reply to comment #12)

> If 2.5.2 still doesn't work, please try with 2.6.0_beta, which has a
> rewritten toolchain+platform handling called "kits". Furthermore with 2.6
> you should be able to force the usage of a given compiler even if QtCreator
> thinks it doesn't work.

2.6.0_beta (witch is actually 2.5.82 according to menu "Help/About Qt Creator") also failed.
Comment 15 Davide Pesavento gentoo-dev 2012-10-07 07:32:30 UTC
(In reply to comment #14)
> (In reply to comment #12)
> 
> > If 2.5.2 still doesn't work, please try with 2.6.0_beta, which has a
> > rewritten toolchain+platform handling called "kits". Furthermore with 2.6
> > you should be able to force the usage of a given compiler even if QtCreator
> > thinks it doesn't work.
> 
> 2.6.0_beta (witch is actually 2.5.82 according to menu "Help/About Qt
> Creator") also failed.

Please try adding your compiler manually in the "Compilers" tab under
"Options" -> "Build & Run".
Comment 16 Markos Chandras (RETIRED) gentoo-dev 2012-10-07 11:19:09 UTC
I can't reproduce this problem on amd64 box. Seems ppc specific? It would be nice to be able to reproduce it in another PPC box. CC'ing PPC
Comment 17 Johannes Geiss 2012-10-08 03:49:02 UTC
(In reply to comment #15)
> 
> Please try adding your compiler manually in the "Compilers" tab under
> "Options" -> "Build & Run".

I tried it but it doesn't work either. (Version 2.5.0 and 2.5.2).
Comment 18 Davide Pesavento gentoo-dev 2012-10-08 04:04:18 UTC
(In reply to comment #17)
> (In reply to comment #15)
> > 
> > Please try adding your compiler manually in the "Compilers" tab under
> > "Options" -> "Build & Run".
> 
> I tried it but it doesn't work either. (Version 2.5.0 and 2.5.2).

You should try with 2.6.0_beta (sorry for not being clear earlier), because that's the first version with the new "kits" implementation.
Comment 19 Johannes Geiss 2012-10-11 08:07:53 UTC
(In reply to comment #18)

> You should try with 2.6.0_beta (sorry for not being clear
> earlier), because that's the first version with the new "kits"
> implementation.

I tried to compile 2.6.0_beta but it failed because of bundeled botan. Even which external botan package it failed to compile (see https://bugs.gentoo.org/show_bug.cgi?id=383033).
Comment 20 Markos Chandras (RETIRED) gentoo-dev 2012-10-11 08:25:24 UTC
(In reply to comment #19)
> (In reply to comment #18)
> 
> > You should try with 2.6.0_beta (sorry for not being clear
> > earlier), because that's the first version with the new "kits"
> > implementation.
> 
> I tried to compile 2.6.0_beta but it failed because of bundeled botan. Even
> which external botan package it failed to compile (see
> https://bugs.gentoo.org/show_bug.cgi?id=383033).

Ehm, what do you mean it failed? Did you open a bug for this failure? The bug you pointed us is not really related to this (neither it does show us a build.log for bundled botan)
Comment 21 Johannes Geiss 2012-10-24 14:46:48 UTC
I created a new bug entry for this compilation failure: https://bugs.gentoo.org/show_bug.cgi?id=439514
Comment 22 Davide Pesavento gentoo-dev 2013-03-08 09:45:02 UTC
Try 2.7.0_rc please
Comment 23 Davide Pesavento gentoo-dev 2013-04-18 06:29:00 UTC
Can you try 2.7.0 please? (after unmasking it in package.keywords)
Comment 24 Johannes Geiss 2013-04-20 15:10:06 UTC
(In reply to comment #23)
> Can you try 2.7.0 please? (after unmasking it in package.keywords)

I am sorry, but I can't test this any more, since my computer broke down badly and now I have only MacOS X and no Gentoo anymore.

PowerPC are very hard to get nowadays :-(
Comment 25 Davide Pesavento gentoo-dev 2013-04-20 19:07:45 UTC
Closing as TEST-REQUEST then.